# delimit;
clear;
clear matrix;
set more off;
set matsize 800;
set memory 80m;

*merging 4 files;
	insheet using C:\Burke_BEMacro\countryyear.txt;
	sort code;
	merge code using "C:\Burke_BEMacro\exportshares_1995.dta"; *For each country, these data are share of exports to each partner country in 1995. Uses World Bank country codes. Source: IMF (2009);
	drop _merge;
	sort code;
	merge code using "C:\Burke_BEMacro\exportshares_1975.dta"; *For each country, these data are share of exports to each partner country in 1975. Uses World Bank country codes. Source: IMF (2009);
	drop _merge;
	sort code;
	merge code using "C:\Burke_BEMacro\exportshares_2000.dta"; *For each country, these data are share of exports to each partner country in 2000. Uses World Bank country codes. Source: IMF (2009);
	drop _merge;
	sort code year;
	merge code year using "C:\Burke_BEMacro\wdiexport_gdp.dta"; *WDI data on exports/GDP;
	drop _merge;
	sort year;
	merge year using "C:\Burke_BEMacro\growthrates.dta"; *WDI data on growth rates of each partner country;
	drop _merge;
	sort year;
	merge year using "C:\Burke_BEMacro\penngrowthrates.dta"; *Penn World Table data on growth rates of each partner country;
	drop _merge;
	sort code;
	merge code using "C:\Burke_BEMacro\gdp1975.dta"; *Data on GDP of each country in 1975;
	encode code, generate(ccode);
	sort ccode year;
	tsset ccode year;

*VARIABLE CONSTRUCTION;
*Using Penn World Table growth rate for export partner growth rate in case of missing WDI data;
	replace afg=grpennafg if afg==.;
	replace alb=grpennalb if alb==.;
	replace dza=grpenndza if dza==.;
	replace ago=grpennago if ago==.;
	replace atg=grpennatg if atg==.;
	replace arg=grpennarg if arg==.;
	replace arm=grpennarm if arm==.;
	replace aus=grpennaus if aus==.;
	replace aut=grpennaut if aut==.;
	replace aze=grpennaze if aze==.;
	replace bhs=grpennbhs if bhs==.;
	replace bhr=grpennbhr if bhr==.;
	replace bgd=grpennbgd if bgd==.;
	replace brb=grpennbrb if brb==.;
	replace blr=grpennblr if blr==.;
	replace bel=grpennbel if bel==.;
	replace blz=grpennblz if blz==.;
	replace ben=grpennben if ben==.;
	replace bmu=grpennbmu if bmu==.;
	replace btn=grpennbtn if btn==.;
	replace bol=grpennbol if bol==.;
	replace bih=grpennbih if bih==.;
	replace bwa=grpennbwa if bwa==.;
	replace bra=grpennbra if bra==.;
	replace brn=grpennbrn if brn==.;
	replace bgr=grpennbgr if bgr==.;
	replace bfa=grpennbfa if bfa==.;
	replace bdi=grpennbdi if bdi==.;
	replace khm=grpennkhm if khm==.;
	replace cmr=grpenncmr if cmr==.;
	replace can=grpenncan if can==.;
	replace cpv=grpenncpv if cpv==.;
	replace caf=grpenncaf if caf==.;
	replace tcd=grpenntcd if tcd==.;
	replace chl=grpennchl if chl==.;
	replace chn=grpennchn if chn==.;
	replace col=grpenncol if col==.;
	replace com=grpenncom if com==.;
	replace zar=grpennzar if zar==.;
	replace cog=grpenncog if cog==.;
	replace cri=grpenncri if cri==.;
	replace civ=grpennciv if civ==.;
	replace hrv=grpennhrv if hrv==.;
	replace cub=grpenncub if cub==.;
	replace cyp=grpenncyp if cyp==.;
	replace cze=grpenncze if cze==.;
	replace dnk=grpenndnk if dnk==.;
	replace dji=grpenndji if dji==.;
	replace dma=grpenndma if dma==.;
	replace dom=grpenndom if dom==.;
	replace ecu=grpennecu if ecu==.;
	replace egy=grpennegy if egy==.;
	replace slv=grpennslv if slv==.;
	replace gnq=grpenngnq if gnq==.;
	replace eri=grpenneri if eri==.;
	replace est=grpennest if est==.;
	replace eth=grpenneth if eth==.;
	replace fji=grpennfji if fji==.;
	replace fin=grpennfin if fin==.;
	replace fra=grpennfra if fra==.;
	replace gab=grpenngab if gab==.;
	replace gmb=grpenngmb if gmb==.;
	replace geo=grpenngeo if geo==.;
	replace deu=grpenndeu if deu==.;
	replace gha=grpenngha if gha==.;
	replace grc=grpenngrc if grc==.; 
	replace grd=grpenngrd if grd==.;
	replace gtm=grpenngtm if gtm==.;
	replace gin=grpenngin if gin==.;
	replace gnb=grpenngnb if gnb==.;
	replace guy=grpennguy if guy==.;
	replace hti=grpennhti if hti==.;
	replace hnd=grpennhnd if hnd==.;
	replace hkg=grpennhkg if hkg==.;
	replace hun=grpennhun if hun==.;
	replace isl=grpennisl if isl==.;
	replace ind=grpennind if ind==.;
	replace idn=grpennidn if idn==.;
	replace irn=grpennirn if irn==.;
	replace irq=grpennirq if irq==.;
	replace irl=grpennirl if irl==.;
	replace isr=grpennisr if isr==.;
	replace ita=grpennita if ita==.;
	replace jam=grpennjam if jam==.;
	replace jpn=grpennjpn if jpn==.;
	replace jor=grpennjor if jor==.;
	replace kaz=grpennkaz if kaz==.;
	replace ken=grpennken if ken==.;
	replace kir=grpennkir if kir==.;
	replace kor=grpennkor if kor==.;
	replace kwt=grpennkwt if kwt==.;
	replace kgz=grpennkgz if kgz==.;
	replace lao=grpennlao if lao==.;
	replace lva=grpennlva if lva==.;
	replace lbn=grpennlbn if lbn==.;
	replace lso=grpennlso if lso==.;
	replace lbr=grpennlbr if lbr==.;
	replace lby=grpennlby if lby==.;
	replace ltu=grpennltu if ltu==.;
	replace lux=grpennlux if lux==.;
	replace mac=grpennmac if mac==.;
	replace mkd=grpennmkd if mkd==.;
	replace mdg=grpennmdg if mdg==.;
	replace mwi=grpennmwi if mwi==.;
	replace mys=grpennmys if mys==.;
	replace mdv=grpennmdv if mdv==.;
	replace mli=grpennmli if mli==.;
	replace mlt=grpennmlt if mlt==.;
	replace mrt=grpennmrt if mrt==.;
	replace mus=grpennmus if mus==.;
	replace mex=grpennmex if mex==.;
	replace fsm=grpennfsm if fsm==.;
	replace mda=grpennmda if mda==.;
	replace mng=grpennmng if mng==.;
	replace mar=grpennmar if mar==.;
	replace moz=grpennmoz if moz==.;
	replace nam=grpennnam if nam==.;
	replace npl=grpennnpl if npl==.;
	replace nld=grpennnld if nld==.;
	replace nzl=grpennnzl if nzl==.;
	replace nic=grpennnic if nic==.;
	replace ner=grpennner if ner==.;
	replace nga=grpennnga if nga==.;
	replace nor=grpennnor if nor==.;
	replace omn=grpennomn if omn==.;
	replace pak=grpennpak if pak==.;
	replace plw=grpennplw if plw==.;
	replace pan=grpennpan if pan==.;
	replace png=grpennpng if png==.;
	replace pry=grpennpry if pry==.;
	replace per=grpennper if per==.;
	replace phl=grpennphl if phl==.;
	replace pol=grpennpol if pol==.;
	replace prt=grpennprt if prt==.;
	replace pri=grpennpri if pri==.;
	replace qat=grpennqat if qat==.;
	replace rom=grpennrom if rom==.;
	replace rus=grpennrus if rus==.;
	replace rwa=grpennrwa if rwa==.;
	replace wsm=grpennwsm if wsm==.;
	replace stp=grpennstp if stp==.;
	replace sau=grpennsau if sau==.;
	replace sen=grpennsen if sen==.;
	replace syc=grpennsyc if syc==.;
	replace sle=grpennsle if sle==.;
	replace sgp=grpennsgp if sgp==.;
	replace svk=grpennsvk if svk==.;
	replace svn=grpennsvn if svn==.;
	replace slb=grpennslb if slb==.;
	replace som=grpennsom if som==.;
	replace zaf=grpennzaf if zaf==.;
	replace esp=grpennesp if esp==.;
	replace lka=grpennlka if lka==.;
	replace kna=grpennkna if kna==.;
	replace lca=grpennlca if lca==.;
	replace vct=grpennvct if vct==.;
	replace sdn=grpennsdn if sdn==.;
	replace sur=grpennsur if sur==.;
	replace swz=grpennswz if swz==.;
	replace swe=grpennswe if swe==.;
	replace che=grpennche if che==.;
	replace syr=grpennsyr if syr==.;
	replace tjk=grpenntjk if tjk==.;
	replace tza=grpenntza if tza==.;
	replace tha=grpenntha if tha==.;
	replace tgo=grpenntgo if tgo==.;
	replace ton=grpennton if ton==.;
	replace tto=grpenntto if tto==.;
	replace tun=grpenntun if tun==.;
	replace tur=grpenntur if tur==.;
	replace tkm=grpenntkm if tkm==.;
	replace uga=grpennuga if uga==.;
	replace ukr=grpennukr if ukr==.;
	replace are=grpennare if are==.;
	replace gbr=grpenngbr if gbr==.;
	replace usa=grpennusa if usa==.;
	replace ury=grpennury if ury==.;
	replace uzb=grpennuzb if uzb==.;
	replace vut=grpennvut if vut==.;
	replace ven=grpennven if ven==.;
	replace vnm=grpennvnm if vnm==.;
	replace yem=grpennyem if yem==.;
	replace zmb=grpennzmb if zmb==.;
	replace zwe=grpennzwe if zwe==.;

*Using world growth rate for export partner growth rate in case of missing WDI and PWT data for export partner growth rate;
	replace afg=wld if afg==.;
	replace alb=wld if alb==.;
	replace dza=wld if dza==.;
	replace asm=wld if asm==.;
	replace ado=wld if ado==.;
	replace ago=wld if ago==.;
	replace atg=wld if atg==.;
	replace arg=wld if arg==.;
	replace arm=wld if arm==.;
	replace abw=wld if abw==.;
	replace aus=wld if aus==.;
	replace aut=wld if aut==.;
	replace aze=wld if aze==.;
	replace bhs=wld if bhs==.;
	replace bhr=wld if bhr==.;
	replace bgd=wld if bgd==.;
	replace brb=wld if brb==.;
	replace blr=wld if blr==.;
	replace bel=wld if bel==.;
	replace blz=wld if blz==.;
	replace ben=wld if ben==.;
	replace bmu=wld if bmu==.;
	replace btn=wld if btn==.;
	replace bol=wld if bol==.;
	replace bih=wld if bih==.;
	replace bwa=wld if bwa==.;
	replace bra=wld if bra==.;
	replace brn=wld if brn==.;
	replace bgr=wld if bgr==.;
	replace bfa=wld if bfa==.;
	replace bdi=wld if bdi==.;
	replace khm=wld if khm==.;
	replace cmr=wld if cmr==.;
	replace can=wld if can==.;
	replace cpv=wld if cpv==.;
	replace cym=wld if cym==.;
	replace caf=wld if caf==.;
	replace tcd=wld if tcd==.;
	replace chi=wld if chi==.;
	replace chl=wld if chl==.;
	replace chn=wld if chn==.;
	replace col=wld if col==.;
	replace com=wld if com==.;
	replace zar=wld if zar==.;
	replace cog=wld if cog==.;
	replace cri=wld if cri==.;
	replace civ=wld if civ==.;
	replace hrv=wld if hrv==.;
	replace cub=wld if cub==.;
	replace cyp=wld if cyp==.;
	replace cze=wld if cze==.;
	replace dnk=wld if dnk==.;
	replace dji=wld if dji==.;
	replace dma=wld if dma==.;
	replace dom=wld if dom==.;
	replace ecu=wld if ecu==.;
	replace egy=wld if egy==.;
	replace slv=wld if slv==.;
	replace gnq=wld if gnq==.;
	replace eri=wld if eri==.;
	replace est=wld if est==.;
	replace eth=wld if eth==.;
	replace fro=wld if fro==.;
	replace fji=wld if fji==.;
	replace fin=wld if fin==.;
	replace fra=wld if fra==.;
	replace pyf=wld if pyf==.;
	replace gab=wld if gab==.;
	replace gmb=wld if gmb==.;
	replace geo=wld if geo==.;
	replace deu=wld if deu==.;
	replace gha=wld if gha==.;
	replace grc=wld if grc==.;
	replace grl=wld if grl==.;
	replace grd=wld if grd==.;
	replace gum=wld if gum==.;
	replace gtm=wld if gtm==.;
	replace gin=wld if gin==.;
	replace gnb=wld if gnb==.;
	replace guy=wld if guy==.;
	replace hti=wld if hti==.;
	replace hnd=wld if hnd==.;
	replace hkg=wld if hkg==.;
	replace hun=wld if hun==.;
	replace isl=wld if isl==.;
	replace ind=wld if ind==.;
	replace idn=wld if idn==.;
	replace irn=wld if irn==.;
	replace irq=wld if irq==.;
	replace irl=wld if irl==.;
	replace imy=wld if imy==.;
	replace isr=wld if isr==.;
	replace ita=wld if ita==.;
	replace jam=wld if jam==.;
	replace jpn=wld if jpn==.;
	replace jor=wld if jor==.;
	replace kaz=wld if kaz==.;
	replace ken=wld if ken==.;
	replace kir=wld if kir==.;
	replace prk=wld if prk==.;
	replace kor=wld if kor==.;
	replace kwt=wld if kwt==.;
	replace kgz=wld if kgz==.;
	replace lao=wld if lao==.;
	replace lva=wld if lva==.;
	replace lbn=wld if lbn==.;
	replace lso=wld if lso==.;
	replace lbr=wld if lbr==.;
	replace lby=wld if lby==.;
	replace lie=wld if lie==.;
	replace ltu=wld if ltu==.;
	replace lux=wld if lux==.;
	replace mac=wld if mac==.;
	replace mkd=wld if mkd==.;
	replace mdg=wld if mdg==.;
	replace mwi=wld if mwi==.;
	replace mys=wld if mys==.;
	replace mdv=wld if mdv==.;
	replace mli=wld if mli==.;
	replace mlt=wld if mlt==.;
	replace mhl=wld if mhl==.;
	replace mrt=wld if mrt==.;
	replace mus=wld if mus==.;
	replace myt=wld if myt==.;
	replace mex=wld if mex==.;
	replace fsm=wld if fsm==.;
	replace mda=wld if mda==.;
	replace mco=wld if mco==.;
	replace mng=wld if mng==.;
	replace mne=wld if mne==.;
	replace mar=wld if mar==.;
	replace moz=wld if moz==.;
	replace mmr=wld if mmr==.;
	replace nam=wld if nam==.;
	replace npl=wld if npl==.;
	replace nld=wld if nld==.;
	replace ant=wld if ant==.;
	replace ncl=wld if ncl==.;
	replace nzl=wld if nzl==.;
	replace nic=wld if nic==.;
	replace ner=wld if ner==.;
	replace nga=wld if nga==.;
	replace mnp=wld if mnp==.;
	replace nor=wld if nor==.;
	replace omn=wld if omn==.;
	replace pak=wld if pak==.;
	replace plw=wld if plw==.;
	replace pan=wld if pan==.;
	replace png=wld if png==.;
	replace pry=wld if pry==.;
	replace per=wld if per==.;
	replace phl=wld if phl==.;
	replace pol=wld if pol==.;
	replace prt=wld if prt==.;
	replace pri=wld if pri==.;
	replace qat=wld if qat==.;
	replace rom=wld if rom==.;
	replace rus=wld if rus==.;
	replace rwa=wld if rwa==.;
	replace wsm=wld if wsm==.;
	replace smr=wld if smr==.;
	replace stp=wld if stp==.;
	replace sau=wld if sau==.;
	replace sen=wld if sen==.;
	replace srb=wld if srb==.;
	replace syc=wld if syc==.;
	replace sle=wld if sle==.;
	replace sgp=wld if sgp==.;
	replace svk=wld if svk==.;
	replace svn=wld if svn==.;
	replace slb=wld if slb==.;
	replace som=wld if som==.;
	replace zaf=wld if zaf==.;
	replace zaf=wld if zaf==.;
	replace esp=wld if esp==.;
	replace lka=wld if lka==.;
	replace kna=wld if kna==.;
	replace lca=wld if lca==.;
	replace vct=wld if vct==.;
	replace sdn=wld if sdn==.;
	replace sur=wld if sur==.;
	replace swz=wld if swz==.;
	replace swe=wld if swe==.;
	replace che=wld if che==.;
	replace syr=wld if syr==.;
	replace tjk=wld if tjk==.;
	replace tza=wld if tza==.;
	replace tha=wld if tha==.;
	replace tmp=wld if tmp==.;
	replace tgo=wld if tgo==.;
	replace ton=wld if ton==.;
	replace tto=wld if tto==.;
	replace tun=wld if tun==.;
	replace tur=wld if tur==.;
	replace tkm=wld if tkm==.;
	replace uga=wld if uga==.;
	replace ukr=wld if ukr==.;
	replace are=wld if are==.;
	replace gbr=wld if gbr==.;
	replace usa=wld if usa==.;
	replace ury=wld if ury==.;
	replace uzb=wld if uzb==.;
	replace vut=wld if vut==.;
	replace ven=wld if ven==.;
	replace vnm=wld if vnm==.;
	replace vir=wld if vir==.;
	replace wbg=wld if wbg==.;
	replace yem=wld if yem==.;
	replace zmb=wld if zmb==.;
	replace zwe=wld if zwe==.;
	replace gib=wld if gib==.;
	replace tuv=wld if tuv==.;
	generate flk=wld;
	generate gud=wld;
	generate fgu=wld;
	generate mqe=wld;
	generate nru=wld;
	generate reu=wld;
	generate she=wld;
	generate pir=wld;

*Generating export partner growth variables;
	generate exportpartnergrowth_95=shtkm*tkm+shlux*lux+shbel*bel+shusa*usa+shgbr*gbr+shaut*aut+shdnk*dnk+shfra*fra+shdeu*deu+shita*ita+shnld*nld+shnor*nor+shswe*swe+shche*che+shcan*can+shjpn*jpn+shfin*fin+shgrc*grc+shisl*isl+shirl*irl+shmlt*mlt+shprt*prt+shesp*esp+shtur*tur+shaus*aus+shnzl*nzl+shzaf*zaf+sharg*arg+shbol*bol+shbra*bra+shchl*chl+shcol*col+shcri*cri+shdom*dom+shecu*ecu+shslv*slv+shgtm*gtm+shhti*hti+shhnd*hnd+shmex*mex+shnic*nic+shpan*pan+shpry*pry+shper*per+shury*ury+shven*ven+shbhs*bhs+shabw*abw+shbrb*brb+shbmu*bmu+shdma*dma+shgrl*grl+shgrd*grd+shguy*guy+shblz*blz+shjam*jam+shant*ant+shkna*kna+shlca*lca+shvct*vct+shsur*sur+shtto*tto+shbhr*bhr+shcyp*cyp+shirn*irn+shirq*irq+shisr*isr+shjor*jor+shkwt*kwt+shlbn*lbn+shomn*omn+shqat*qat+shsau*sau+shsyr*syr+share*are+shegy*egy+shyem*yem+shafg*afg+shbgd*bgd+shbrn*brn+shmmr*mmr+shkhm*khm+shlka*lka+shhkg*hkg+shind*ind+shidn*idn+shkor*kor+shlao*lao+shmac*mac+shmys*mys+shmdv*mdv+shnpl*npl+shpak*pak+shphl*phl+shsgp*sgp+shtha*tha+shvnm*vnm+shdji*dji+shdza*dza+shago*ago+shbdi*bdi+shcmr*cmr+shcpv*cpv+shcaf*caf+shtcd*tcd+shcom*com+shcog*cog+shzar*zar+shben*ben+shgnq*gnq+sheth*eth+shgab*gab+shgmb*gmb+shgha*gha+shgnb*gnb+shgin*gin+shciv*civ+shken*ken+shlbr*lbr+shlby*lby+shmdg*mdg+shmwi*mwi+shmli*mli+shmrt*mrt+shmus*mus+shmar*mar+shmoz*moz+shner*ner+shnga*nga+shzwe*zwe+shrwa*rwa+shstp*stp+shsyc*syc+shsen*sen+shsle*sle+shsom*som+shsdn*sdn+shtza*tza+shtgo*tgo+shtun*tun+shuga*uga+shbfa*bfa+shzmb*zmb+shslb*slb+shfji*fji+shncl*ncl+shvut*vut+shpng*png+shwsm*wsm+shton*ton+sharm*arm+shaze*aze+shblr*blr+shalb*alb+shgeo*geo+shkaz*kaz+shkgz*kgz+shbgr*bgr+shmda*mda+shrus*rus+shtjk*tjk+shchn*chn+shukr*ukr+shuzb*uzb+shcub*cub+shcze*cze+shsvk*svk+shest*est+shlva*lva+shhun*hun+shltu*ltu+shmng*mng+shprk*prk+shhrv*hrv+shsvn*svn+shmkd*mkd+shbih*bih+shpol*pol+shsrb*srb+shrom*rom if year>1960;
	generate exportpartnergrowth_75=sh_75afg*afg+sh_75alb*alb+sh_75dza*dza+sh_75asm*asm+sh_75ago*ago+sh_75atg*atg+sh_75arg*arg+sh_75abw*abw+sh_75aus*aus+sh_75aut*aut+sh_75bhs*bhs+sh_75bhr*bhr+sh_75bgd*bgd+sh_75brb*brb+sh_75bel_lux*bel+sh_75blz*blz+sh_75ben*ben+sh_75bmu*bmu+sh_75bol*bol+sh_75bwa*bwa+sh_75bra*bra+sh_75brn*brn+sh_75bgr*bgr+sh_75bfa*bfa+sh_75bdi*bdi+sh_75khm*khm+sh_75cmr*cmr+sh_75can*can+sh_75cpv*cpv+sh_75caf*caf+sh_75tcd*tcd+sh_75chl*chl+sh_75chn*chn+sh_75hkg*hkg+sh_75mac*mac+sh_75col*col+sh_75com*com+sh_75zar*zar+sh_75cog*cog+sh_75cri*cri+sh_75civ*civ+sh_75cub*cub+sh_75cyp*cyp+sh_75czecho*cze+sh_75dnk*dnk+sh_75dji*dji+sh_75dma*dma+sh_75dom*dom+sh_75ecu*ecu+sh_75egy*egy+sh_75slv*slv+sh_75gnq*gnq+sh_75eth*eth+sh_75fro*fro+sh_75flk*flk+sh_75fji*fji+sh_75fin*fin+sh_75fra*fra+sh_75pyf*pyf+sh_75gab*gab+sh_75gmb*gmb+sh_75deu*deu+sh_75gha*gha+sh_75gib*gib+sh_75grc*grc+sh_75grl*grl+sh_75grd*grd+sh_75gud*gud+sh_75gum*gum+sh_75gtm*gtm+sh_75fgu*fgu+sh_75gin*gin+sh_75gnb*gnb+sh_75guy*guy+sh_75hti*hti+sh_75hnd*hnd+sh_75hun*hun+sh_75isl*isl+sh_75ind*ind+sh_75idn*idn+sh_75irn*irn+sh_75irq*irq+sh_75irl*irl+sh_75isr*isr+sh_75ita*ita+sh_75jam*jam+sh_75jpn*jpn+sh_75jor*jor+sh_75ken*ken+sh_75kir*kir+sh_75kor*kor+sh_75kwt*kwt+sh_75lao*lao+sh_75lbn*lbn+sh_75lso*lso+sh_75lbr*lbr+sh_75lby*lby+sh_75mdg*mdg+sh_75mwi*mwi+sh_75mys*mys+sh_75mdv*mdv+sh_75mli*mli+sh_75mlt*mlt+sh_75mqe*mqe+sh_75mrt*mrt+sh_75mus*mus+sh_75mex*mex+sh_75mng*mng+sh_75mar*mar+sh_75moz*moz+sh_75mmr*mmr+sh_75nam*nam+sh_75nru*nru+sh_75npl*npl+sh_75nld*nld+sh_75ant*ant+sh_75ncl*ncl+sh_75nzl*nzl+sh_75nic*nic+sh_75ner*ner+sh_75nga*nga+sh_75prk*prk+sh_75nor*nor+sh_75omn*omn+sh_75pak*pak+sh_75pan*pan+sh_75png*png+sh_75pry*pry+sh_75per*per+sh_75phl*phl+sh_75pol*pol+sh_75prt*prt+sh_75qat*qat+sh_75reu*reu+sh_75rom*rom+sh_75rwa*rwa+sh_75wsm*wsm+sh_75stp*stp+sh_75sau*sau+sh_75sen*sen+sh_75syc*syc+sh_75sle*sle+sh_75sgp*sgp+sh_75slb*slb+sh_75som*som+sh_75zaf*zaf+sh_75esp*esp+sh_75lka*lka+sh_75she*she+sh_75kna*kna+sh_75lca*lca+sh_75pir*pir+sh_75vct*vct+sh_75sdn*sdn+sh_75sur*sur+sh_75swz*swz+sh_75swe*swe+sh_75che*che+sh_75syr*syr+sh_75tza*tza+sh_75tha*tha+sh_75tgo*tgo+sh_75ton*ton+sh_75tto*tto+sh_75tun*tun+sh_75tur*tur+sh_75tuv*tuv+sh_75ussr*rus+sh_75uga*uga+sh_75are*are+sh_75gbr*gbr+sh_75usa*usa+sh_75ury*ury+sh_75vut*vut+sh_75ven*ven+sh_75vnm*vnm+sh_75yem*yem+sh_75yug*srb+sh_75zmb*zmb+sh_75zwe*zwe+sh_75arm*arm+sh_75aze*aze+sh_75blr*blr+sh_75btn*btn+sh_75bih*bih+sh_75hrv*hrv+sh_75cze*cze+sh_75est*est+sh_75geo*geo+sh_75kaz*kaz+sh_75kgz*kgz+sh_75lva*lva+sh_75ltu*ltu+sh_75mkd*mkd+sh_75mda*mda+sh_75rus*rus+sh_75srb*srb+sh_75svk*svk+sh_75svn*svn+sh_75tjk*tjk+sh_75tkm*tkm+sh_75ukr*ukr+sh_75uzb*uzb if notcountrydummy~=1 & after75dummy~=1;
	generate exportpartnergrowth_00=sh_00_fro*fro+sh_00_tkm*tkm+sh_00_lux*lux+sh_00_bel*bel+sh_00_usa*usa+sh_00_gbr*gbr+sh_00_aut*aut+sh_00_dnk*dnk+sh_00_fra*fra+sh_00_deu*deu+sh_00_ita*ita+sh_00_nld*nld+sh_00_nor*nor+sh_00_swe*swe+sh_00_che*che+sh_00_can*can+sh_00_jpn*jpn+sh_00_fin*fin+sh_00_grc*grc+sh_00_isl*isl+sh_00_irl*irl+sh_00_mlt*mlt+sh_00_prt*prt+sh_00_esp*esp+sh_00_tur*tur+sh_00_aus*aus+sh_00_nzl*nzl+sh_00_zaf*zaf+sh_00_arg*arg+sh_00_bol*bol+sh_00_bra*bra+sh_00_chl*chl+sh_00_col*col+sh_00_cri*cri+sh_00_dom*dom+sh_00_ecu*ecu+sh_00_slv*slv+sh_00_gtm*gtm+sh_00_hti*hti+sh_00_hnd*hnd+sh_00_mex*mex+sh_00_nic*nic+sh_00_pan*pan+sh_00_pry*pry+sh_00_per*per+sh_00_ury*ury+sh_00_ven*ven+sh_00_bhs*bhs+sh_00_abw*abw+sh_00_brb*brb+sh_00_bmu*bmu+sh_00_dma*dma+sh_00_grl*grl+sh_00_grd*grd+sh_00_guy*guy+sh_00_blz*blz+sh_00_jam*jam+sh_00_ant*ant+sh_00_kna*kna+sh_00_lca*lca+sh_00_vct*vct+sh_00_sur*sur+sh_00_tto*tto+sh_00_bhr*bhr+sh_00_cyp*cyp+sh_00_irn*irn+sh_00_irq*irq+sh_00_isr*isr+sh_00_jor*jor+sh_00_kwt*kwt+sh_00_lbn*lbn+sh_00_omn*omn+sh_00_qat*qat+sh_00_sau*sau+sh_00_syr*syr+sh_00_are*are+sh_00_egy*egy+sh_00_yem*yem+sh_00_afg*afg+sh_00_bgd*bgd+sh_00_brn*brn+sh_00_mmr*mmr+sh_00_khm*khm+sh_00_lka*lka+sh_00_hkg*hkg+sh_00_ind*ind+sh_00_idn*idn+sh_00_kor*kor+sh_00_lao*lao+sh_00_mac*mac+sh_00_mys*mys+sh_00_mdv*mdv+sh_00_npl*npl+sh_00_pak*pak+sh_00_phl*phl+sh_00_sgp*sgp+sh_00_tha*tha+sh_00_vnm*vnm+sh_00_dji*dji+sh_00_dza*dza+sh_00_ago*ago+sh_00_bdi*bdi+sh_00_cmr*cmr+sh_00_cpv*cpv+sh_00_caf*caf+sh_00_tcd*tcd+sh_00_com*com+sh_00_cog*cog+sh_00_zar*zar+sh_00_ben*ben+sh_00_gnq*gnq+sh_00_eth*eth+sh_00_gab*gab+sh_00_gmb*gmb+sh_00_gha*gha+sh_00_gnb*gnb+sh_00_gin*gin+sh_00_civ*civ+sh_00_ken*ken+sh_00_lbr*lbr+sh_00_lby*lby+sh_00_mdg*mdg+sh_00_mwi*mwi+sh_00_mli*mli+sh_00_mrt*mrt+sh_00_mus*mus+sh_00_mar*mar+sh_00_moz*moz+sh_00_ner*ner+sh_00_nga*nga+sh_00_zwe*zwe+sh_00_rwa*rwa+sh_00_stp*stp+sh_00_syc*syc+sh_00_sen*sen+sh_00_sle*sle+sh_00_som*som+sh_00_sdn*sdn+sh_00_tza*tza+sh_00_tgo*tgo+sh_00_tun*tun+sh_00_uga*uga+sh_00_bfa*bfa+sh_00_zmb*zmb+sh_00_slb*slb+sh_00_fji*fji+sh_00_ncl*ncl+sh_00_vut*vut+sh_00_png*png+sh_00_wsm*wsm+sh_00_ton*ton+sh_00_arm*arm+sh_00_aze*aze+sh_00_blr*blr+sh_00_alb*alb+sh_00_geo*geo+sh_00_kaz*kaz+sh_00_kgz*kgz+sh_00_bgr*bgr+sh_00_mda*mda+sh_00_rus*rus+sh_00_tjk*tjk+sh_00_chn*chn+sh_00_ukr*ukr+sh_00_uzb*uzb+sh_00_cub*cub+sh_00_cze*cze+sh_00_svk*svk+sh_00_est*est+sh_00_lva*lva+sh_00_hun*hun+sh_00_ltu*ltu+sh_00_mng*mng+sh_00_prk*prk+sh_00_hrv*hrv+sh_00_svn*svn+sh_00_mkd*mkd+sh_00_bih*bih+sh_00_pol*pol+sh_00_srb*srb+sh_00_rom*rom if year>1960;
		
*Replacing for the small countries;
	replace exportpartnergrowth_95=zaf if code=="SWZ";
	replace exportpartnergrowth_95=zaf if code=="LSO";
	replace exportpartnergrowth_95=zaf if code=="NAM";
	replace exportpartnergrowth_95=zaf if code=="BWA";
	replace exportpartnergrowth_95=ita if code=="ERI";
	replace exportpartnergrowth_95=ind if code=="BTN";

	replace exportpartnergrowth_75=zaf if code=="SWZ";
	replace exportpartnergrowth_75=zaf if code=="LSO";
	replace exportpartnergrowth_75=zaf if code=="NAM";
	replace exportpartnergrowth_75=zaf if code=="BWA";
	replace exportpartnergrowth_75=ita if code=="ERI";
	replace exportpartnergrowth_75=ind if code=="BTN";

	replace exportpartnergrowth_00=zaf if code=="SWZ";
	replace exportpartnergrowth_00=zaf if code=="LSO";
	replace exportpartnergrowth_00=zaf if code=="NAM";
	replace exportpartnergrowth_00=zaf if code=="BWA";
	replace exportpartnergrowth_00=ita if code=="ERI";
	replace exportpartnergrowth_00=ind if code=="BTN";

*Interactions;
	by ccode: generate wdiexportshare_95_1=wdiexportshare if year==1995;
	by ccode: egen wdiexportshare_95=min(wdiexportshare_95_1);
	replace wdiexportshare_95=82.40692177 if code=="AGO"; *uses 1996 value;
	replace wdiexportshare_95=8.786752281 if code=="LBR"; *uses 1997 value;
	replace wdiexportshare_95=191.4229491 if code=="SGP"; *uses 2001 value;
	replace wdiexportshare_95=100 if wdiexportshare_95>100 & wdiexportshare_95~=.;
	generate exportpartnergrowthwdiint_95=exportpartnergrowth_95*wdiexportshare_95;

	by ccode: generate wdiexportshare_75_1=wdiexportshare if year==1975;
	by ccode: egen wdiexportshare_75=min(wdiexportshare_75_1);
	replace wdiexportshare_75=100 if wdiexportshare_75>100 & wdiexportshare_75~=.;
	generate exportpartnergrowthwdiint_75=exportpartnergrowth_75*wdiexportshare_75;
	generate constructedexportshare_75=1000000*valworld_75/gdp1975*100;
	replace constructedexportshare_75=100 if constructedexportshare_75>100 & constructedexportshare_75~=.;
	replace exportpartnergrowthwdiint_75=exportpartnergrowth_75*constructedexportshare_75 if exportpartnergrowthwdiint_75==.; *This step uses summed exports divided by GDP for instances where exports/GDP not available from WDI;

	by ccode: generate wdiexportshare_00_1=wdiexportshare if year==2000;
	by ccode: egen wdiexportshare_00=min(wdiexportshare_00_1);
	replace wdiexportshare_00=39.10855621 if code=="JAM"; *uses 1997 value;
	replace wdiexportshare_00=191.4229491 if code=="SGP"; *uses 2001 value;
	replace wdiexportshare_00=100 if wdiexportshare_00>100 & wdiexportshare_00~=.;
	generate exportpartnergrowthwdiint_00=exportpartnergrowth_00*wdiexportshare_00;

*Finalities;
	keep country exportpartnergrowthwdiint_00 exportpartnergrowth_00 code year exportpartnergrowth_75 exportpartnergrowthwdiint_75 exportpartnergrowth_95 exportpartnergrowthwdiint_95;
	sort code year;
	drop if year==.;
	drop if year>2006;
	label variable country "Country";
	label variable code "World Bank country code";
	label variable year "Year";
	label variable exportpartnergrowth_95 "Export partner growth, weighted average. Using 1995 export shares as weights";
	label variable exportpartnergrowth_75 "Export partner growth, weighted average. Using 1975 export shares as weights";
	label variable exportpartnergrowth_00 "Export partner growth, weighted average. Using 2000 export shares as weights";
	label variable exportpartnergrowthwdiint_95 "Export partner growth * Exports/GDP. 1995 weights";
	label variable exportpartnergrowthwdiint_75 "Export partner growth * Exports/GDP. 1975 weights";
	label variable exportpartnergrowthwdiint_00 "Export partner growth * Exports/GDP. 2000 weights";
